# getParentFactory method

1. @override

PodFactory? getParentFactory()
override

Retrieves the parent factory in the hierarchy, if any.

## Usage Example:

    final parent = factory.getParentFactory();
    if (parent != null) {
      print('This factory has a parent factory');
    }

@return The parent PodFactory or null if this is the root factory

## Implementation

    @override
    PodFactory? getParentFactory() => _parentPodFactory;